# withGradleInstallation

abstract fun withGradleInstallation(installation: File): GradleRunner

Configures the runner to execute the build using the installation of Gradle specified.

The given file must be a directory containing a valid Gradle installation.

Alternatively, you may use withGradleVersion to use an automatically installed Gradle version.

#### Return

this

#### Since

2.9

#### Parameters

installation

a valid Gradle installation

#### See also

withGradleVersion(String)
withGradleDistribution(URI)